#include "camerarecognition.h"
#include "ui_camerarecognition.h"
#include "cameracontroler.h"

CameraRecognition::CameraRecognition(CameraControler *cameraControler,QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CameraRecognition)
{
    this->setModal(true);
    this->cameraControler = cameraControler;
    this->cameraControler->setCameraRecognition(this);
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QFrame *frame = new QFrame();
    ui->setupUi(frame);
    mainLayout->addWidget(frame);
    connect(ui->MainMenuButton,SIGNAL(clicked()),this,SLOT(reject()));
}

CameraRecognition::~CameraRecognition()
{
    delete ui;
}

void CameraRecognition::reject(){
    this->turnCameraOff();
    QDialog::reject();
}

void CameraRecognition::turnCameraOn(){
    cameraControler->setEstadoCamara(true);
    cameraControler->start();
}

void CameraRecognition::turnCameraOff(){
    cameraControler->setEstadoCamara(false);
    while(!cameraControler->isFinished());
}

void CameraRecognition::setImage(QPixmap *imagen, int pos){
    if(pos == 0){
        ui->ViewCamera->setPixmap(*imagen);
    }else{
        ui->ViewFace->setPixmap(*imagen);
    }
}
