#include "registrocontacto.h"
#include "ui_registrocontacto.h"

RegistroContacto::RegistroContacto(CameraControler *cameraControler, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::RegistroContacto)
{
    this->setModal(true);
    cameraTrainer = new CameraTrainer();
    cameraTrainer->setCameraControler(cameraControler);
    errorWindow = new ErrorWindow();
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QFrame *frame = new QFrame();
    ui->setupUi(frame);
    mainLayout->addWidget(frame);
    connect(ui->AcceptButton,SIGNAL(clicked()),this,SLOT(CreateWindowCaption()));
    connect(cameraTrainer->getChangeButton(),SIGNAL(clicked()),this,SLOT(OpenWindows()));
}

RegistroContacto::~RegistroContacto(){
    delete ui;
}

void RegistroContacto::clearAll(){
    ui->InsertRol->clear();
}

void RegistroContacto::CreateWindowCaption(){
    int aux;
    if(ui->InsertRol->toPlainText() != ""){
        this->close();
        aux = std::stoi(ui->InsertRol->toPlainText().toUtf8().constData());
        cameraTrainer->setRol(aux);
        cameraTrainer->turnCameraOn();
        cameraTrainer->show();
    } else{
        errorWindow->show();
    }
}

void RegistroContacto::OpenWindows(){
    cameraTrainer->turnCameraOff();
    cameraTrainer->close();
    this->clearAll();
    this->show();
}
